<template lang='pug'>
Example(title='ExpiryIcon Example' :maxState="5")
  template(v-slot:description)
    h5 This is an ExpiryIcon example
    p Click on the #[em animate] to change its state.
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        li #[strong.text-info expiry: ] timestamp in ms since EPOCH
        li #[strong.text-info color: ] icon color

  template(v-slot:code)
    template(v-pre).
      .row.justify-content-center.align-items-center
        | Expiring soon:
        // Size is relative to the font-size
        BaseExpiryIcon.mx-1.display-4(height="4rem" width="4rem" :expiry='Date.now() + (1 &lt;&lt; state) * 1000')
        BaseExpiryIcon.mx-1(:expiry='Date.now() + (1 &lt;&lt; state) * 1000')
        // Size is relative to the font-size
        BaseExpiryIcon.mx-1.small(color='blue' :expiry='Date.now() + (1 &lt;&lt; state) * 1000')
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleExpiryIcon",
  components: { Example }
};

</script>
